Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.monitor
Interface MX4JMonitorMBean

All Known Subinterfaces:
  MX4JCounterMonitorMBean, MX4JGaugeMonitorMBean, MX4JStringMonitorMBean

All Known Implementing Classes:
  MX4JCounterMonitor, MX4JGaugeMonitor, MX4JMonitor, MX4JStringMonitor

public interface MX4JMonitorMBean

Version:
  $Revision: 1.2 $

Method Summary
`void` | `addObservedObject(javax.management.ObjectName object)`
`boolean` | `containsObservedObject(javax.management.ObjectName object)`
`long` | `getGranularityPeriod()`
`java.lang.String` | `getObservedAttribute()`
`javax.management.ObjectName[]` | `getObservedObjects()`
`boolean` | `isActive()`
`void` | `removeObservedObject(javax.management.ObjectName object)`
`void` | `setGranularityPeriod(long period)`
`void` | `setObservedAttribute(java.lang.String attribute)`
`void` | `start()`
`void` | `stop()`

Method Detail

### start

    public void start()

### stop

    public void stop()

### isActive

    public boolean isActive()

### addObservedObject

    public void addObservedObject(javax.management.ObjectName object)
                           throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### removeObservedObject

    public void removeObservedObject(javax.management.ObjectName object)

### containsObservedObject

    public boolean containsObservedObject(javax.management.ObjectName object)

### getObservedObjects

    public javax.management.ObjectName[] getObservedObjects()

### getObservedAttribute

    public java.lang.String getObservedAttribute()

### setObservedAttribute

    public void setObservedAttribute(java.lang.String attribute)

### getGranularityPeriod

    public long getGranularityPeriod()

### setGranularityPeriod

    public void setGranularityPeriod(long period)
                              throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.